Bug 233235 - microblogging widget does not remember its popup size when hosted in panel
Summary: microblogging widget does not remember its popup size when hosted in panel
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-microblogging (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Unspecified
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-04 11:54 UTC by Blackpaw
Modified: 2011-02-25 02:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Blackpaw 2010-04-04 11:54:09 UTC
Version:            (using KDE 4.4.2)
Installed from:    Ubuntu Packages

I have the microblogging (uBlog) widget hosted in the main bottom panel, this works well - I get a little icon of the latest tweet plus number of unread tweets. Clicking on it rolls the main display up to show the latest tweets.

Unfortunately it doesn't remember its size between boots, initially it only scrolls up to show 2 tweets, I then have to resize it with the mouse to show a decent number (6+ for my purposes). I have the timeline size set to 12 but that makes no difference.
Comment 1 Björn Ruberg 2011-02-24 18:53:22 UTC
Git commit 76797c9473c88237bdad379d22fd0a951dfa517e by ruberg.
Committed on 24/02/2011 at 18:26.
Pushed by ruberg into branch 'master'.

BUG: 236853
BUG: 233235

Properly restore the size of PopupApplets from last session even when a preferredSize is set in the graphicsWidget()

M  +8    -4    plasma/popupapplet.cpp     

http://commits.kde.org/kdelibs/76797c9473c88237bdad379d22fd0a951dfa517e
Comment 2 Björn Ruberg 2011-02-24 20:24:44 UTC
Git commit ac5d2abf45b238ae9f25985ff282f785e148014d by Bj��rn Ruberg.
Committed on 24/02/2011 at 20:22.
Pushed by ruberg into branch 'KDE/4.6'.

Properly restore the size of PopupApplets from last session even when a preferredSize is set in the graphicsWidget()
BUG: 236853
BUG: 233235

 Please enter the commit message for your changes. Lines starting

M  +8    -4    plasma/popupapplet.cpp     

http://commits.kde.org/kdelibs/ac5d2abf45b238ae9f25985ff282f785e148014d
Comment 3 Blackpaw 2011-02-25 02:55:58 UTC
Thanks Björn, that's awesome, look fwd to testing once it makes its way into kubuntu ...